package apis

import (
	"duoduo/models/bizhi"
	"duoduo/models/mysqlBz"
	"duoduo/tools/app"
	"github.com/gin-gonic/gin"
)

func RondPicture(c *gin.Context) {
	outData := []bizhi.RoundPictureResponse{}
	biZhi := mysqlBz.BiZhi{}

	list, err := biZhi.GetRoundBiZhi()
	if err != nil {
		app.Error(c, 500, err, err.Error())
		return
	}

	for i := 0; i < len(list); i++ {
		data := bizhi.RoundPictureResponse{}
		data.BiZhi = list[i]
		data.Cover = list[i].Url
		data.Cover1 = list[i].Url + "?imageView/1/w/350/h/467"
		data.CoverHeight = "467"
		data.CoverWidth = "350"
		data.Loaded = false
		outData = append(outData, data)

	}
	app.OK(c, outData, app.Success)
}
