package apis

import (
	"duoduo/models/bizhi"
	"duoduo/tools/app"
	"encoding/base64"
	"fmt"
	"github.com/gin-gonic/gin"
	"io/ioutil"
	"net/http"
	"strings"
)



func Upload(c *gin.Context)  {
	//按照规则来
	inData := bizhi.UploadRequest{}
	outData := bizhi.UploadResponse{}
	err :=c.ShouldBindJSON(&inData)
	if err != nil{
		app.Error(c, 400, err, err.Error())
		return
	}

	res, err := http.Get(inData.PictureUrl)
	if err != nil {
		app.Error(c, 500, err, err.Error())
		return
	}
	defer res.Body.Close()

	data, _ := ioutil.ReadAll(res.Body)

	str := base64.StdEncoding.EncodeToString(data)

	pos := strings.LastIndex(inData.PictureUrl, "/")
	//fmt.Println("str", str)
	fmt.Println(pos)
	outData.Base = str
	outData.Name = inData.PictureUrl[pos+1:]
	//c.JSON(200,str)
	app.OK(c, outData, app.Success)

}